(define-module (config base)
  #:use-module (guix gexp)
  #:use-module (gnu services)
  #:use-module (gnu services base)
  #:use-module (services chrony)
  #:export (base-services))

(define chrony-config "\
  pool pool.ntp.org iburst
  makestep 1.0 3
  driftfile /var/lib/chrony/drift
")

(define (base-services)
  (cons* (service chrony-service-type
                  (chrony-configuration
                    (config-file (plain-file "chrony.conf" chrony-config))
                    (syscall-filter "1")))
         %base-services))
